﻿using Newtonsoft.Json;
using System;
using System.Windows.Forms;

namespace RCM {
    [Serializable]
    [DisplayName("Group")]
    public class Group : IRecord { // TODO: Prvni v poradi new items
        public Guid Id { get; set; }
        public string Title { get; set; }
        public Guid GroupId { get; set; }

        [NonSerialized]
        private readonly IAction[] _actions = new IAction[0];

        public IAction[] GetActions() => _actions;
        public UserControl GetControl() => new UserControl();
        public void UpdateFromControl() { }
    }
}
