﻿using System;
using System.Windows.Forms;

namespace RCM {
    public partial class WebSiteControl : UserControl {
        public WebSiteControl(WebSite website) {
            InitializeComponent();
            textBoxURL.Text = website.URL;
            textBoxUsername.Text = website.Username;
            textBoxPassword.Text = website.Password;
        }

        private void ButtonUnmaskPassword_Click(object sender, EventArgs e) {
            textBoxPassword.UseSystemPasswordChar = !textBoxPassword.UseSystemPasswordChar;
        }
    }
}
