﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RCM {
    [DisplayName("Browse via SMB")]
    public class SMBAction : IAction {
        private RDP _rdp;

        public SMBAction(RDP rdp) {
            _rdp = rdp;
        }

        public void Run() {
            string[] host = _rdp.Host.Split(new char[] { ':' });

            if (Environment.OSVersion.Platform == PlatformID.Unix) {
                // TODO
            } else {
                Process.Start("explorer.exe", string.Format("\\\\{0}", host[0])); // TODO: net use credentials?
            }
        }
    }
}
